# synfig::SuperCallback Class Reference

`#include <general.h>`

Inheritance diagram for synfig::SuperCallback:

List of all members.

## Public Member Functions

| SuperCallback ()
| SuperCallback (ProgressCallback *cb, int start, int end, int total)
virtual bool | task (const String &task)
virtual bool | error (const String &task)
virtual bool | warning (const String &task)
virtual bool | amount_complete (int cur, int total)
virtual bool | valid () const

## Detailed Description

Todo:
  writeme

## Constructor & Destructor Documentation

synfig::SuperCallback::SuperCallback | ( |  | ) | `[inline]`

synfig::SuperCallback::SuperCallback | ( | ProgressCallback * | cb,
|  | int | start,
|  | int | end,
|  | int | total |
| ) |  |  | `[inline]`

References synfig::ProgressCallback::valid().

## Member Function Documentation

virtual bool synfig::SuperCallback::task | ( | const String & | task | ) | `[inline, virtual]`

Reimplemented from synfig::ProgressCallback.

References synfig::ProgressCallback::task().

virtual bool synfig::SuperCallback::error | ( | const String & | task | ) | `[inline, virtual]`

Reimplemented from synfig::ProgressCallback.

References synfig::ProgressCallback::error().

virtual bool synfig::SuperCallback::warning | ( | const String & | task | ) | `[inline, virtual]`

Reimplemented from synfig::ProgressCallback.

References synfig::ProgressCallback::warning().

virtual bool synfig::SuperCallback::amount_complete | ( | int | cur,
|  | int | total |
| ) |  |  | `[inline, virtual]`

Reimplemented from synfig::ProgressCallback.

References synfig::ProgressCallback::amount_complete().

Referenced by Warp::accelerated_render(), SuperSample::accelerated_render(), Rotate::accelerated_render(), CurveWarp::accelerated_render(), Blur::operator()(), and synfig::Target_Scanline::render().

virtual bool synfig::SuperCallback::valid | ( |  | ) | const`[inline, virtual]`

Reimplemented from synfig::ProgressCallback.

The documentation for this class was generated from the following file:

- general.h